experiments.droneControl

## Class Main

- java.lang.Object
- - experiments.droneControl.Main

All Implemented Interfaces:
  java.lang.Runnable

    public class Main
    extends java.lang.Object
    implements java.lang.Runnable

The Class Main.

### Field Summary

Fields
`AMALOM` `amalom` The amalom.
`AMOEBA_UI` `amoeba_x` The amoeba z.
`AMOEBA_UI` `amoeba_y` The amoeba z.
`AMOEBA_UI` `amoeba_z` The amoeba z.
`FILE[][]` `droneCommandsFile` The drone commands file.
`FILE[][]` `dronePositionFile` The drone position file.
`FILE[][]` `droneSpeedFile` The drone speed file.
`java.lang.String` `folder` The folder.
`FILE[][]` `phaseFile` The phase file.
`static boolean` `viewer` The Constant viewer.

### Constructor Summary

Constructors
Constructor and Description
`Main(java.net.ServerSocket ss, java.net.Socket s)` Instantiates a new main.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput(java.lang.String message, java.lang.String arg, int chanel)` Gets the output.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputAmalom(java.lang.String message, java.lang.String arg)` Gets the output amalom.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputEndogenous(java.lang.String message, java.lang.String action)` Gets the output endogenous.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputGoal(java.lang.String message, int chanel)` Gets the output goal.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputGoalEF(java.lang.String message, java.lang.String action)` Gets the output goal EF.
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### viewer

    public static final boolean viewer

The Constant viewer.

See Also:
  Constant Field Values

#### amoeba_x

    public AMOEBA_UI amoeba_x

The amoeba z.

#### amoeba_y

    public AMOEBA_UI amoeba_y

The amoeba z.

#### amoeba_z

    public AMOEBA_UI amoeba_z

The amoeba z.

#### amalom

    public AMALOM amalom

The amalom.

#### phaseFile

    public FILE[][] phaseFile

The phase file.

#### dronePositionFile

    public FILE[][] dronePositionFile

The drone position file.

#### droneSpeedFile

    public FILE[][] droneSpeedFile

The drone speed file.

#### droneCommandsFile

    public FILE[][] droneCommandsFile

The drone commands file.

#### folder

    public java.lang.String folder

The folder.

### Constructor Detail

#### Main

    public Main(java.net.ServerSocket ss,
                java.net.Socket s)

Instantiates a new main.

Parameters:
  `ss` - the ss
  `s` - the s

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### getOutput

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutput(java.lang.String message,
                                                                          java.lang.String arg,
                                                                          int chanel)

Gets the output.

Parameters:
  `message` - the message
  `arg` - the arg
  `chanel` - the chanel
Returns:
  the output

#### getOutputGoal

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputGoal(java.lang.String message,
                                                                              int chanel)

Gets the output goal.

Parameters:
  `message` - the message
  `chanel` - the chanel
Returns:
  the output goal

#### getOutputGoalEF

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputGoalEF(java.lang.String message,
                                                                                java.lang.String action)

Gets the output goal EF.

Parameters:
  `message` - the message
  `action` - the action
Returns:
  the output goal EF

#### getOutputEndogenous

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputEndogenous(java.lang.String message,
                                                                                    java.lang.String action)

Gets the output endogenous.

Parameters:
  `message` - the message
  `action` - the action
Returns:
  the output endogenous

#### getOutputAmalom

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputAmalom(java.lang.String message,
                                                                                java.lang.String arg)

Gets the output amalom.

Parameters:
  `message` - the message
  `arg` - the arg
Returns:
  the output amalom